Skip to content

inquirePaymentToken

  • Endpoint: POST /aggregate-pay/api/gateway/inquirePaymentToken
  • Tags: Collection Service/Payment Tokenization

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYesRequest data body
data.userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
data.tokenScopestringNomaxLength: 16If not filled, it defaults to tokenAcq
data.paymentTokenIDstringNomaxLength: 64PMMax token
data.paymentMethodTypestringNopayment method. You can post CARD or WALLET, and so on
data.targetOrgstringNoThe target organization. If paymentMethodType is CARD, targetOrg should be null or empty string.
data.cardOrgstringNocard organization. If paymentMethodType is CARD, cardOrg can be null ,VISA,MASTERCARD and so on.
data.referralCodestringNotoken binding unique identifier
versionstringYesAPI version. Current value: 1.2
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "version": "1.2",
  "keyVersion": "1",
  "requestTime": "2022-01-22T10:00:00.500+08:00",
  "appId": "46153e2b787241ae8b01857bb087d1bd",
  "merchantNo": "010229810189301",
  "data": {
    "userId": "TEST",
    "tokenScope": "tokenAcq",
    "paymentTokenID": "PMTOKEN20230424072005899168200035002",
    "paymentMethodType": "CARD",
    "targetOrg": null,
    "cardOrg": "VISA",
    "referralCode": "xxx"
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYes
data.tokenListarray[object]Yeslist of token
data.tokenList[].paymentTokenIDstringYesmaxLength: 64PMMax token
data.tokenList[].userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
data.tokenList[].tokenScopestringYesmaxLength: 16Scope of applicationtokenAcq
data.tokenList[].paymentTokenExpirystringYesmaxLength: 32Token validity period,Comply with rfc3339 specification, format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX
data.tokenList[].paymentTokenStatusstringYesmaxLength: 16Token status, this field is required when paying with card tokenDeleted, Activated, Expired
data.tokenList[].cardInfostringNomaxLength: 19Mask card number, desensitized according to the first 6 and the last 4, such as 533333**2222
data.tokenList[].ifCVVstringNomaxLength: 1Whether CVV is required. Y: When using Token to pay, you need to input CVV again; N: CVV does not need to be entered again when using Token payment. Note: CVV is verified again according to the rules of the issuing bank
data.tokenList[].brandstringNomaxLength: 32Card groups, such as Visa, Mastercard, and dual-standard cards are returned
data.tokenList[].paymentMethodTypestringYesmaxLength: 32payment method type, such as CARD,ONE_TOUCH
data.tokenList[].targetOrgstringNomaxLength: 32The target organisation, where paymentMethodType is CARD, targetOrg is empty string
data.tokenList[].accountDisplaystringNoMask account number, such as 63-9****72123, where paymentMethodType is CARD, accountDisplay is empty string
data.tokenList[].referralCodestringNotoken binding unique identifier
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "tokenList": [
      {
        "tokenScope": "tokenAcq",
        "targetOrg": "",
        "ifCVV": "N",
        "cardInfo": "455701******1010",
        "paymentTokenID": "PMTOKEN20230710080439571142400031000",
        "accountDisplay": "",
        "paymentTokenStatus": "Activated",
        "userId": "czy_0088",
        "brand": "VISA",
        "paymentMethodType": "CARD",
        "paymentTokenExpiry": "2023-07-14T00:00:00.537Z",
        "referralCode": "xxxx"
      }
    ]
  }
}

Enum Reference

data.tokenList[].tokenScope

  • tokenAcq

data.tokenList[].paymentTokenStatus

  • Deleted
  • Activated
  • Expired

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.